# Search Locations Returns all the locations that match the search query. If one of the fulfillment methods is delivery, then locations that won't deliver to the specified address will be filtered out of the search results. You must provide either the address or the lat/long parameters. Endpoint: GET /v2/locations/search Version: v2 Security: ApiKeySecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" - `x-bite-org-id` (string, required) The org ID you are working with. - `x-bite-order-channel` (string, required) The order channel you are working with. Enum: "catering", "flash", "kiosk", "linebuster", "web" ## Query parameters: - `fulfillmentMethods` (array, required) The user's chosen fulfillment methods for their order. Only locations that support one of these methods will be returned. * Web only: * 20 - In-Store Pickup * 21 - Dine In * 22 - Curbside Pickup * 23 - Outpost * 24 - Delivery * Catering only: * 30 - In-Store Pickup * 31 - Dine In * 32 - Curbside Pickup * 33 - Outpost * 34 - Delivery - `lat` (number) The user's geo-coordinates (latitude). This will be used to find the closest store. - `long` (number) The user's geo-coordinates (longitude). This will be used to find the closest store. - `address` (string) A Google Maps Places API-formatted address string. This will be used either to find the closest pickup store or as the delivery address, depending on the specified fulfillment method. - `showDraftLocations` (boolean) Set to true if you want to see draft locations in an otherwise live org. This should be only used for testing new locations in a non-prod environment or through a special flag activated on certain users' accounts. - `page` (integer) - `limit` (integer) ## Response 200 fields (application/json): - `locations` (array, required) - `locations._id` (string, required) The Bite ID of the location. - `locations.name` (string, required) Name of the location. - `locations.shortCode` (string, required) The location's unique 4-letter short code. - `locations.urlSlug` (string, required) The location's unique slug that's used in the location's web ordering url. - `locations.thirdPartyId` (string) The location's unique ID in a third-party system. Only available if the value is set in Bite Admin. - `locations.phoneNumber` (string, required) The location's phone number, formatted as a 10-digit string. - `locations.coordinates` (array, required) The location's geo-coordinates (long, lat). - `locations.fullAddress` (object, required) The location's full physical address. - `locations.fullAddress.line1` (string, required) - `locations.fullAddress.line2` (string) - `locations.fullAddress.crossStreet` (string) - `locations.fullAddress.city` (string, required) - `locations.fullAddress.state` (string, required) Two-letter abbreviation for the state or province. - `locations.fullAddress.postalCode` (string, required) - `locations.fullAddress.country` (string) - `locations.url` (string, required) The url for this location's ordering page. - `locations.availableDiningOptions` (array, required) A list of enabled dining options with associated opening hours for each one. - `locations.availableDiningOptions.fulfillmentMethod` (integer, required) Fulfillment Method: * Web only: * 20 - In-Store Pickup * 21 - Dine In * 22 - Curbside Pickup * 23 - Outpost * 24 - Delivery * Catering only: * 30 - In-Store Pickup * 31 - Dine In * 32 - Curbside Pickup * 33 - Outpost * 34 - Delivery - `locations.availableDiningOptions.asapOrdersEnabled` (boolean, required) True if ASAP orders can be placed at this location with this fulfillment method; false otherwise. If this is false, then futureOrdersEnabled has to be true. - `locations.availableDiningOptions.futureOrdersEnabled` (boolean, required) True if future orders can be placed at this location with this fulfillment method; false otherwise. If this is false, then asapOrdersEnabled has to be true. - `locations.availableDiningOptions.openingHours` (object, required) Opening hours for this dining option, broken down by day of the week. - `locations.availableDiningOptions.openingHours.mon` (object) - `locations.availableDiningOptions.openingHours.mon.from` (object, required) - `locations.availableDiningOptions.openingHours.mon.from.hours` (integer, required) - `locations.availableDiningOptions.openingHours.mon.from.minutes` (integer, required) - `locations.availableDiningOptions.openingHours.mon.to` (object, required) - `locations.availableDiningOptions.openingHours.mon.openingHoursString` (string, required) Human-readable representation of the open hours interval (e.g. "11am to 2:30pm") - `locations.availableDiningOptions.openingHours.tue` (object) - `locations.availableDiningOptions.openingHours.wed` (object) - `locations.availableDiningOptions.openingHours.thu` (object) - `locations.availableDiningOptions.openingHours.fri` (object) - `locations.availableDiningOptions.openingHours.sat` (object) - `locations.availableDiningOptions.openingHours.sun` (object) - `locations.distanceFromGuest` (integer, required) Distance from the address or coordinates provided by the guest (measured in miles). ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields